<?php 

namespace Teknisa\MAN\Utilities;

use GuzzleHttp\Client;

class GuzzleHelper {
    const CONTENT_TYPE_HEADER = "Content-Type: application/json";
    
    public static function post($url, $route, array $jsonPayload, array $customHeaders = array()) {

        $client = new Client([
            // Base URI is used with relative requests
            'base_uri' => $url,
            // You can set any number of default request options.
            'timeout'  => 2.0,
        ]);
        
        $client->request('POST', $route, 
            ['json' => $jsonPayload]
        );
    }
}